Name:           perl-Net-SMTP-SSL
Version:        1.04
Release:        8
Summary:        SSL support for Net::SMTP
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-SMTP-SSL
Source0:        https://cpan.metacpan.org/modules/by-module/Net/Net-SMTP-SSL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
BuildRequires:  perl(IO::Socket::SSL) perl(Net::SMTP) perl(Test::More) >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
Implements the same API as Net::SMTP, but uses IO::Socket::SSL for its
network operations. Due to the nature of Net::SMTP's new method, it is
not overridden to make use of a default port for the SMTPS service.
Perhaps future versions will be smart like that.

%package help
Summary:        Help document for the perl-Net-SMTP-SSL

%description    help
Help document for the perl-Net-SMTP-SSL.

%prep
%autosetup -n Net-SMTP-SSL-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%dir %{perl_vendorlib}/Net/SMTP/
%{perl_vendorlib}/Net/SMTP/SSL.pm

%files help
%doc README Changes
%{_mandir}/man3/Net::SMTP::SSL.3*

%changelog
* Mon Dec 2 2019 likexin <likexin4@huawei.com> - 1.04-8
- Package init
